package me.Destro168.FC_General;

import org.bukkit.Bukkit;
import org.bukkit.OfflinePlayer;
import org.bukkit.entity.Player;

public class NameMatcher 
{
	public NameMatcher() { }
	
	public String getNameByMatch(String name)
	{
		name = name.toLowerCase();
		
		//Require 3 characters.
		if (name.length() < 3)
			return null;
		
		for (Player player: Bukkit.getServer().getOnlinePlayers())
		{
			if (player.getName().toLowerCase().contains(name))
			{
				return player.getName();
			}
		}
		
		for (OfflinePlayer player: Bukkit.getServer().getOfflinePlayers())
		{
			if (player.getName().toLowerCase().contains(name))
			{
				return player.getName();
			}
		}
		
		return "";
	}
}
